- Qt 6.4
- Qt Quick 3D Physics
- QML Types
- CapsuleShape
- Qt Quick 3D Physics | Commercial or GPLv3

# CapsuleShape QML Type

Capsule shape. More...

Import Statement: | import QtQuick3DPhysics
Since: | Qt 6.4
Inherits: | CollisionShape

- List of all members, including inherited members

## Properties

- diameter : float
- height : float

## Detailed Description

This is the capsule shape. It is centered at the origin. It is specified by a diameter and a height value by which its axis extends along the positive and negative X-axis.

Note: When using a scale with this shape, the x component will be used to scale the height and the y component will be used to scale the diameter.

## Property Documentation

diameter : float

This property defines the diameter of the capsule

height : float

This property defines the height of the capsule